{
{{/* content query */}}
 {{- if .From -}}
 	"from" : {{- .From}},
 {{- end}}
 "size" : {{.Size}},
 "query" : {
     "bool" : {
     "should": [
             {{template "nlpCategory.tmpl" .}}
        ],

       "must" : {
                  {{- if .Term}}
                      {{- template "weightedQuery.tmpl" .}}
                   {{- else}}
                      {{- template "matchAll.tmpl" .}}
                   {{- end}}
              }
         {{template "contentFilters.tmpl" .}}
         }
    },
 "suggest":{
 	"search_suggest":{
 		"text":"{{.Term}}",
 		"phrase":{"field":"description.title.title_no_synonym_no_stem"}}
 },
 "_source":{
 			"includes":[],
 			"excludes":["downloads.content","downloads*","pageData"]},
 	{{if .Highlight}}
 		"highlight":{
 			"pre_tags":["<em class=\"highlight\">"],
 			"post_tags":["</em>"],
 			"fields":{"terms":{"fragment_size":0,"number_of_fragments":0},
 			"description.title":{"fragment_size":0,"number_of_fragments":0},
 			"description.edition":{"fragment_size":0,"number_of_fragments":0},
 			"description.summary":{"fragment_size":0,"number_of_fragments":0},
 			"description.metaDescription":{"fragment_size":0,"number_of_fragments":0},
 			"description.keywords":{"fragment_size":0,"number_of_fragments":0},
 			"description.cdid":{"fragment_size":0,"number_of_fragments":0},
 			"description.datasetId":{"fragment_size":0,"number_of_fragments":0},
			"downloads.content":{"fragment_size": 45,"number_of_fragments": 5},
			"pageData":{"fragment_size": 45,"number_of_fragments": 5}
		    }
        },
        {{end}}
 {{ if eq .SortBy "release_date" }}
    {{ template "sortByReleaseDate.tmpl" }}
 {{ else if eq .SortBy "release_date_asc" }}
    {{template "sortByReleaseDateAsc.tmpl" }}
 {{ else if eq .SortBy "title" }}
    {{ template "sortByTitle.tmpl" }}
 {{ else if eq .SortBy "first_letter" }}
    {{ template "sortByFirstLetter.tmpl" }}
 {{ else }}
    {{template "sortByRelevance.tmpl" }}
 {{ end }}
}
